Subject: Re: bug#69093: window-state-put doesn't update current buffer

From: martin rudalics <[email-masked]>
Date: Mon, 19 Feb 2024 10:43:00 +0100

>> Or could you tell beforehand which buffer will be current after
 >>
 >> (let ((configuration (current-window-configuration)))
 >>    (pop-to-buffer "*Messages*" '((display-buffer-pop-up-frame)))
 >>    (set-window-configuration configuration)
 >>    (current-buffer))
 >
 > Does this ambiguity exist only for multi-frame setups where
 > a system window manager decides what frame to select afterwards?

The system window manager here does only what Emacs tells it to do.  But
note that multi-frame setups got more and more broken since Emacs 26 and
are maybe not used frequently nowadays.  So you probably needn't give
them much attention in the first place.

martin